function init()
	-- NAME & GRAPHIC --
	c.name = "Artilleryturret1"
	c.gfxFile = "artilleryturret1.png"

	-- STATS --
	c.mass = 180
	c.stat.thrust = 0
	c.stat.maxSpeed = 50
	c.stat.turnRate = 70
	c.stat.armour = 8

	-- TILES & POWER SLOTS --
	c.load_cshape("filled.png")
	
	-- MISC --
	c.backstabbable = 1
	c.setExplodeSound("explode_ship.wav")
	c.add_item("point",11)
	c.desc = "A stationary turret with a long-ranged torpedo launcher."
	c.behavior = "turret"
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 4	--from map_icons.png, which frame to use.
	return 0
end